DeviceSimHistory

API for retrieving device SIM history information


Parameters

Name In Type Required Description
orgId path string true Executes the request in the context of the given organization
msisdn path string true The MSISDN of the device history we want to retrieve.
fromDate query string(date-time) false From datetime used as filter
toDate query string(date-time) false To datetime used as filter

Request example

1
2
3
4
5

curl -X GET https://devices.masstack.com/v1/orgs/masmovil/deviceSimHistory/{msisdn}?fromDate='2021-10-10T22:00:00Z'&toDate='2021-10-20T22:00:00Z' \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK Device sim history retrieved successfully. If the device SIM history is empty for the specified/default period, an empty list will be returned. DeviceSimHistoryResponseDTO
500 Internal Server Error The request failed to be processed by the server GenericResponseDTO

Endpoints

DeviceHistory

    DeviceSimHistory